=== modified file 'configure.ac'
--- configure.ac	2009-01-29 00:39:19 +0000
+++ configure.ac	2009-01-30 04:39:04 +0000
@@ -231,9 +231,6 @@
   esac
 fi
 
-# We use libtool
-AC_PROG_LIBTOOL
-
 AC_SUBST(NM)dnl
 
 AC_PROG_INSTALL
@@ -288,7 +285,7 @@
   then
     MEMALIGN_FLAGS="-xmemalign=8s"
   fi
-  CXXFLAGS="${CXXFLAGS} -compat=5 -library=stlport4 -xlang=c99 ${MEMALIGN_FLAGS}"
+  CXXFLAGS="${CXXFLAGS} -compat=5 -library=stlport4 -template=no%extdef -xlang=c99 ${MEMALIGN_FLAGS}"
   CFLAGS="${CFLAGS} -xstrconst ${MEMALIGN_FLAGS}"
   SYMBOLS_FLAGS="-g"
   OPTIMIZE_FLAGS="-xO4 -xlibmil -xdepend"
@@ -297,6 +294,9 @@
   DEBUG_OPTIMIZE_CXX=""
 fi
 
+# We use libtool
+AC_PROG_LIBTOOL
+
 dnl TODO: Remove this define once we are using 2.61 across the board.
 # AX_HEADER_ASSERT
 # ----------------
@@ -1340,9 +1340,10 @@
     CFLAGS="${CFLAGS} -xinstrument=datarace"
     CXXFLAGS="${CXXFLAGS} -xinstrument=datarace"
   fi
-  CC_WARNINGS="-v -xc99=all -errtags=yes -errwarn=%all"
+  CC_WARNINGS="-v -xc99=all -errtags=yes -errwarn=%all -erroff=E_ATTRIBUTE_NOT_VAR"
   CXX_WARNINGS="+w +w2 -xport64 -errtags=yes -errwarn=%all -erroff=attrskipunsup,doubunder -compat=5"
-  PROTOSKIP_WARNINGS="-erroff=attrskipunsup,doubunder,reftotemp"
+  PROTOSKIP_WARNINGS="-erroff=attrskipunsup,doubunder,reftotemp,wbadinitl"
+  NO_UNREACHED="-erroff=E_STATEMENT_NOT_REACHED"
   if test "$ac_exceptions" = "no"
   then
     NO_EXCEPTIONS="-features=no%except"
@@ -1358,6 +1359,7 @@
 AC_SUBST(W_SHADOW)
 AC_SUBST(NO_REDUNDANT_DECLS)
 AC_SUBST(PROTOSKIP_WARNINGS)
+AC_SUBST(NO_UNREACHED)
 
 AC_SUBST([GLOBAL_CPPFLAGS],['-I$(top_srcdir) -I$(top_builddir)'])
 AC_SUBST([AM_CPPFLAGS],['${GLOBAL_CPPFLAGS}'])

=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2009-01-29 00:39:19 +0000
+++ drizzled/field.cc	2009-01-30 04:39:04 +0000
@@ -1083,13 +1083,6 @@
 }
 
 
-virtual unsigned char *Field::pack(unsigned char *to,
-                                   const unsigned char *from);
-{
-  return pack(to, from, UINT32_MAX, table->s->db_low_byte_first);
-}
-
-
 /**
    Unpack a field from row data.
 

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2009-01-29 00:39:19 +0000
+++ drizzled/field.h	2009-01-30 04:39:04 +0000
@@ -128,16 +128,16 @@
         const char *field_name_arg);
   virtual ~Field() {}
   /* Store functions returns 1 on overflow and -1 on fatal error */
-  virtual int  store(const char *to, uint32_t length,
-                     const CHARSET_INFO * const cs)=0;
-  virtual int  store(double nr)=0;
-  virtual int  store(int64_t nr, bool unsigned_val)=0;
-  virtual int  store_decimal(const my_decimal *d)=0;
+  virtual int store(const char *to, uint32_t length,
+                    const CHARSET_INFO * const cs)=0;
+  virtual int store(double nr)=0;
+  virtual int store(int64_t nr, bool unsigned_val)=0;
+  virtual int store_decimal(const my_decimal *d)=0;
+  int store(const char *to, uint32_t length,
+            const CHARSET_INFO * const cs,
+            enum_check_fields check_level);
   virtual int store_time(DRIZZLE_TIME *ltime,
                          enum enum_drizzle_timestamp_type t_type);
-  virtual int store(const char *to, uint32_t length,
-                    const CHARSET_INFO * const cs,
-                    enum_check_fields check_level);
   virtual double val_real(void)=0;
   virtual int64_t val_int(void)=0;
   virtual my_decimal *val_decimal(my_decimal *);
@@ -384,14 +384,33 @@
     return length;
   }
   virtual void set_key_image(const unsigned char *buff,uint32_t length)
-    { set_image(buff,length, &my_charset_bin); }
+  { set_image(buff,length, &my_charset_bin); }
   inline int64_t val_int_offset(uint32_t row_offset)
-    {
-      ptr+=row_offset;
-      int64_t tmp=val_int();
-      ptr-=row_offset;
-      return tmp;
-    }
+  {
+    ptr+=row_offset;
+    int64_t tmp=val_int();
+    ptr-=row_offset;
+    return tmp;
+  }
+
+  inline int64_t val_int(const unsigned char *new_ptr)
+  {
+    unsigned char *old_ptr= ptr;
+    int64_t return_value;
+    ptr= (unsigned char*) new_ptr;
+    return_value= val_int();
+    ptr= old_ptr;
+    return return_value;
+  }
+  inline String *val_str(String *str, const unsigned char *new_ptr)
+  {
+    unsigned char *old_ptr= ptr;
+    ptr= (unsigned char*) new_ptr;
+    val_str(str);
+    ptr= old_ptr;
+    return str;
+  }
+
   virtual bool send_binary(Protocol *protocol);
 
   virtual unsigned char *pack(unsigned char *to,
@@ -399,7 +418,7 @@
                               uint32_t max_length,
                               bool low_byte_first);
 
-  virtual unsigned char *pack(unsigned char *to, const unsigned char *from);
+  unsigned char *pack(unsigned char *to, const unsigned char *from);
 
   virtual const unsigned char *unpack(unsigned char* to,
                                       const unsigned char *from,
@@ -409,8 +428,8 @@
      @overload Field::unpack(unsigned char*, const unsigned char*,
                              uint32_t, bool)
   */
-  virtual const unsigned char *unpack(unsigned char* to,
-                                      const unsigned char *from);
+  const unsigned char *unpack(unsigned char* to,
+                              const unsigned char *from);
 
   virtual unsigned char *pack_key(unsigned char* to, const unsigned char *from,
                           uint32_t max_length, bool low_byte_first)

=== modified file 'drizzled/field/blob.h'
--- drizzled/field/blob.h	2008-12-06 22:33:19 +0000
+++ drizzled/field/blob.h	2009-01-30 04:39:04 +0000
@@ -30,6 +30,15 @@
   uint32_t packlength;
   String value;				// For temporaries
 public:
+
+  using Field::store;
+  using Field::cmp;
+  using Field::pack;
+  using Field::unpack;
+  using Field::val_int;
+  using Field::val_str;
+
+
   Field_blob(unsigned char *ptr_arg, unsigned char *null_ptr_arg, unsigned char null_bit_arg,
 	     enum utype unireg_check_arg, const char *field_name_arg,
 	     TABLE_SHARE *share, uint32_t blob_pack_length, const CHARSET_INFO * const cs);
@@ -62,9 +71,11 @@
   enum_field_types type() const { return DRIZZLE_TYPE_BLOB;}
   enum ha_base_keytype key_type() const
     { return binary() ? HA_KEYTYPE_VARBINARY2 : HA_KEYTYPE_VARTEXT2; }
-  int  store(const char *to,uint32_t length, const CHARSET_INFO * const charset);
+  int  store(const char *to,uint32_t length,
+             const CHARSET_INFO * const charset);
   int  store(double nr);
   int  store(int64_t nr, bool unsigned_val);
+
   double val_real(void);
   int64_t val_int(void);
   String *val_str(String*,String *);

=== modified file 'drizzled/field/null.h'
--- drizzled/field/null.h	2008-12-04 19:04:01 +0000
+++ drizzled/field/null.h	2009-01-30 04:39:04 +0000
@@ -30,6 +30,11 @@
 class Field_null :public Field_str {
   static unsigned char null[1];
 public:
+
+  using Field::store;
+  using Field::val_str;
+  using Field::cmp;
+
   Field_null(unsigned char *ptr_arg, uint32_t len_arg,
 	     enum utype unireg_check_arg, const char *field_name_arg,
 	     const CHARSET_INFO * const cs)

=== modified file 'drizzled/field/str.h'
--- drizzled/field/str.h	2009-01-29 00:39:19 +0000
+++ drizzled/field/str.h	2009-01-30 04:39:04 +0000
@@ -38,16 +38,13 @@
             const char *field_name_arg, const CHARSET_INFO * const charset);
   Item_result result_type () const { return STRING_RESULT; }
   uint32_t decimals() const { return NOT_FIXED_DEC; }
+
+  using Field::store;
   int  store(double nr);
   int  store(int64_t nr, bool unsigned_val)=0;
   int  store_decimal(const my_decimal *);
   int  store(const char *to,uint32_t length, const CHARSET_INFO * const cs)=0;
-  virtual int store(const char *to, uint32_t length, 
-                    const CHARSET_INFO * const cs,
-                    enum_check_fields check_level)
-  {
-    return Field::store(to, length, cs, check_level);
-  }
+
   uint32_t size_of() const { return sizeof(*this); }
   const CHARSET_INFO *charset(void) const { return field_charset; }
   void set_charset(const CHARSET_INFO * const charset_arg)

=== modified file 'drizzled/field/timestamp.h'
--- drizzled/field/timestamp.h	2009-01-17 17:08:25 +0000
+++ drizzled/field/timestamp.h	2009-01-30 04:39:04 +0000
@@ -28,6 +28,11 @@
 
 class Field_timestamp :public Field_str {
 public:
+
+  using Field::val_int;
+  using Field::val_str;
+  using Field::cmp;
+  using Field::store;
   Field_timestamp(unsigned char *ptr_arg, uint32_t len_arg,
                   unsigned char *null_ptr_arg, unsigned char null_bit_arg,
                   enum utype unireg_check_arg, const char *field_name_arg,

=== modified file 'drizzled/field/varstring.h'
--- drizzled/field/varstring.h	2009-01-29 00:39:19 +0000
+++ drizzled/field/varstring.h	2009-01-30 04:39:04 +0000
@@ -26,6 +26,13 @@
 
 class Field_varstring :public Field_longstr {
 public:
+
+  using Field::store;
+  using Field::pack;
+  using Field::unpack;
+  using Field::val_int;
+  using Field::val_str;
+
   /*
     The maximum space available in a Field_varstring, in bytes. See
     length_bytes.
@@ -55,12 +62,8 @@
                                     length_bytes : 0);
   }
   int  store(const char *to,uint32_t length, const CHARSET_INFO * const charset);
-  virtual int store(const char *to, uint32_t length, 
-                    const CHARSET_INFO * const cs,
-                    enum_check_fields check_level)
-  {
-    return Field::store(to, length, cs, check_level);
-  }
+
+
   int  store(int64_t nr, bool unsigned_val);
   int  store(double nr) { return Field_str::store(nr); } /* QQ: To be deleted */
   double val_real(void);
@@ -84,12 +87,6 @@
                               uint32_t max_length,
                               bool low_byte_first);
 
-  virtual unsigned char *pack(unsigned char *to, const unsigned char *from)
-  {
-    /* Second two params are unusued in the other pack */
-    return pack(to, from, 0, true);
-  }
-
   unsigned char *pack_key(unsigned char *to, const unsigned char *from, uint32_t max_length, bool low_byte_first);
   unsigned char *pack_key_from_key_image(unsigned char* to, const unsigned char *from,
                                  uint32_t max_length, bool low_byte_first);
@@ -98,12 +95,6 @@
                                       uint32_t param_data,
                                       bool low_byte_first);
  
-  virtual const unsigned char *unpack(unsigned char* to,
-                                      const unsigned char *from)
-  {
-    return unpack(to, from, 0, false);
-  }
-
   const unsigned char *unpack_key(unsigned char* to, const unsigned char *from,
                           uint32_t max_length, bool low_byte_first);
   int pack_cmp(const unsigned char *a, const unsigned char *b, uint32_t key_length,

=== modified file 'drizzled/function/func.h'
--- drizzled/function/func.h	2009-01-29 00:39:19 +0000
+++ drizzled/function/func.h	2009-01-30 04:39:04 +0000
@@ -37,6 +37,9 @@
   */
   uint32_t allowed_arg_cols;
 public:
+
+  using Item::split_sum_func;
+
   uint32_t arg_count;
   table_map used_tables_cache, not_null_tables_cache;
   bool const_item_cache;

=== modified file 'drizzled/function/str/make_set.h'
--- drizzled/function/str/make_set.h	2008-12-12 20:40:37 +0000
+++ drizzled/function/str/make_set.h	2009-01-30 04:39:04 +0000
@@ -28,6 +28,7 @@
   String tmp_str;
 
 public:
+  using Item::split_sum_func;
   Item_func_make_set(Item *a,List<Item> &list) :Item_str_func(list),item(a) {}
   String *val_str(String *str);
   bool fix_fields(Session *session, Item **ref)

=== modified file 'drizzled/function/time/add_time.h'
--- drizzled/function/time/add_time.h	2008-12-12 20:40:37 +0000
+++ drizzled/function/time/add_time.h	2009-01-30 04:39:04 +0000
@@ -35,6 +35,7 @@
   enum_field_types field_type() const { return cached_field_type; }
   void fix_length_and_dec();
 
+  using Item_func::tmp_table_field;
   Field *tmp_table_field(Table *table)
   {
     return tmp_table_field_from_field_type(table, 0);

=== modified file 'drizzled/function/time/date.h'
--- drizzled/function/time/date.h	2009-01-23 06:12:21 +0000
+++ drizzled/function/time/date.h	2009-01-30 04:39:04 +0000
@@ -29,6 +29,8 @@
 class Item_date :public Item_func
 {
 public:
+  using Item_func::tmp_table_field;
+
   Item_date() :Item_func() {}
   Item_date(Item *a) :Item_func(a) {}
   enum Item_result result_type () const { return STRING_RESULT; }
@@ -43,6 +45,7 @@
     decimals=0;
     max_length=MAX_DATE_WIDTH*MY_CHARSET_BIN_MB_MAXLEN;
   }
+
   Field *tmp_table_field(Table *table)
   {
     return tmp_table_field_from_field_type(table, 0);
@@ -68,6 +71,8 @@
   Item_date_func(Item *a,Item *b) :Item_str_func(a,b) {}
   Item_date_func(Item *a,Item *b, Item *c) :Item_str_func(a,b,c) {}
   enum_field_types field_type() const { return DRIZZLE_TYPE_DATETIME; }
+
+  using Item_func::tmp_table_field;
   Field *tmp_table_field(Table *table)
   {
     return tmp_table_field_from_field_type(table, 0);

=== modified file 'drizzled/function/time/str_timefunc.h'
--- drizzled/function/time/str_timefunc.h	2009-01-23 06:12:21 +0000
+++ drizzled/function/time/str_timefunc.h	2009-01-30 04:39:04 +0000
@@ -25,6 +25,9 @@
 class Item_str_timefunc :public Item_str_func
 {
 public:
+
+  using Item_func::tmp_table_field;
+
   Item_str_timefunc() :Item_str_func() {}
   Item_str_timefunc(Item *a) :Item_str_func(a) {}
   Item_str_timefunc(Item *a,Item *b) :Item_str_func(a,b) {}

=== modified file 'drizzled/function/time/str_to_date.h'
--- drizzled/function/time/str_to_date.h	2008-12-13 00:15:23 +0000
+++ drizzled/function/time/str_to_date.h	2009-01-30 04:39:04 +0000
@@ -24,6 +24,9 @@
 
 class Item_func_str_to_date :public Item_str_func
 {
+
+  using Item_func::tmp_table_field;
+
   enum_field_types cached_field_type;
   date_time_format_types cached_format_type;
   enum enum_drizzle_timestamp_type cached_timestamp_type;

=== modified file 'drizzled/function/time/typecast.h'
--- drizzled/function/time/typecast.h	2009-01-23 06:12:21 +0000
+++ drizzled/function/time/typecast.h	2009-01-30 04:39:04 +0000
@@ -25,6 +25,8 @@
 class Item_typecast :public Item_str_func
 {
 public:
+  using Item_func::tmp_table_field;
+
   Item_typecast(Item *a) :Item_str_func(a) {}
   String *val_str(String *a)
   {
@@ -63,6 +65,8 @@
   bool charset_conversion;
   String tmp_value;
 public:
+  using Item_func::tmp_table_field;
+
   Item_char_typecast(Item *a, int length_arg, const CHARSET_INFO * const cs_arg)
     :Item_typecast(a), cast_length(length_arg), cast_cs(cs_arg) {}
   enum Functype functype() const { return CHAR_TYPECAST_FUNC; }
@@ -77,6 +81,8 @@
 class Item_date_typecast :public Item_typecast_maybe_null
 {
 public:
+  using Item_func::tmp_table_field;
+
   Item_date_typecast(Item *a) :Item_typecast_maybe_null(a) {}
   const char *func_name() const { return "cast_as_date"; }
   String *val_str(String *str);
@@ -112,6 +118,8 @@
 class Item_time_typecast :public Item_typecast_maybe_null
 {
 public:
+  using Item_func::tmp_table_field;
+
   Item_time_typecast(Item *a) :Item_typecast_maybe_null(a) {}
   const char *func_name() const { return "cast_as_time"; }
   String *val_str(String *str);
@@ -140,6 +148,8 @@
 class Item_datetime_typecast :public Item_typecast_maybe_null
 {
 public:
+  using Item_func::tmp_table_field;
+
   Item_datetime_typecast(Item *a) :Item_typecast_maybe_null(a) {}
   const char *func_name() const { return "cast_as_datetime"; }
   String *val_str(String *str);

=== modified file 'drizzled/item.h'
--- drizzled/item.h	2009-01-29 00:39:19 +0000
+++ drizzled/item.h	2009-01-30 04:39:04 +0000
@@ -422,9 +422,9 @@
                               List<Item> &fields);
 
   /* Called for items that really have to be split */
-  void real_split_sum_func(Session *session, Item **ref_pointer_array,
-                           List<Item> &fields,
-                           Item **ref, bool skip_registered);
+  void split_sum_func(Session *session, Item **ref_pointer_array,
+                      List<Item> &fields,
+                      Item **ref, bool skip_registered);
 
   virtual bool get_date(DRIZZLE_TIME *ltime,uint32_t fuzzydate);
   virtual bool get_time(DRIZZLE_TIME *ltime);

=== modified file 'drizzled/item/cmpfunc.cc'
--- drizzled/item/cmpfunc.cc	2009-01-29 00:39:19 +0000
+++ drizzled/item/cmpfunc.cc	2009-01-30 04:39:04 +0000
@@ -4171,8 +4171,8 @@
   List_iterator<Item> li(list);
   Item *item;
   while ((item= li++))
-    item->real_split_sum_func(session, ref_pointer_array,
-                              fields, li.ref(), true);
+    item->split_sum_func(session, ref_pointer_array,
+                         fields, li.ref(), true);
 }
 
 

=== modified file 'drizzled/item/cmpfunc.h'
--- drizzled/item/cmpfunc.h	2009-01-29 00:39:19 +0000
+++ drizzled/item/cmpfunc.h	2009-01-30 04:39:04 +0000
@@ -1417,6 +1417,9 @@
   table_map and_tables_cache;
 
 public:
+
+  using Item::split_sum_func;
+
   /* Item_cond() is only used to create top level items */
   Item_cond(): Item_bool_func(), abort_on_null(1)
   { const_item_cache=0; }

=== modified file 'drizzled/item/create.cc'
--- drizzled/item/create.cc	2009-01-23 06:20:44 +0000
+++ drizzled/item/create.cc	2009-01-30 04:39:04 +0000
@@ -279,6 +279,8 @@
 class Create_func_abs : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_abs s_singleton;
@@ -292,6 +294,8 @@
 class Create_func_acos : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_acos s_singleton;
@@ -305,6 +309,8 @@
 class Create_func_addtime : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_addtime s_singleton;
@@ -318,6 +324,8 @@
 class Create_func_asin : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_asin s_singleton;
@@ -344,6 +352,8 @@
 class Create_func_benchmark : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_benchmark s_singleton;
@@ -357,6 +367,8 @@
 class Create_func_bin : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_bin s_singleton;
@@ -370,6 +382,8 @@
 class Create_func_bit_count : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_bit_count s_singleton;
@@ -383,6 +397,8 @@
 class Create_func_bit_length : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_bit_length s_singleton;
@@ -396,6 +412,8 @@
 class Create_func_ceiling : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_ceiling s_singleton;
@@ -409,6 +427,8 @@
 class Create_func_char_length : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_char_length s_singleton;
@@ -422,6 +442,8 @@
 class Create_func_coercibility : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_coercibility s_singleton;
@@ -461,6 +483,8 @@
 class Create_func_connection_id : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_connection_id s_singleton;
@@ -474,6 +498,8 @@
 class Create_func_conv : public Create_func_arg3
 {
 public:
+  using Create_func_arg3::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2, Item *arg3);
 
   static Create_func_conv s_singleton;
@@ -487,6 +513,8 @@
 class Create_func_cos : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_cos s_singleton;
@@ -500,6 +528,8 @@
 class Create_func_cot : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_cot s_singleton;
@@ -512,6 +542,8 @@
 class Create_func_date_format : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_date_format s_singleton;
@@ -525,6 +557,8 @@
 class Create_func_datediff : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_datediff s_singleton;
@@ -538,6 +572,8 @@
 class Create_func_dayname : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_dayname s_singleton;
@@ -551,6 +587,8 @@
 class Create_func_dayofmonth : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_dayofmonth s_singleton;
@@ -564,6 +602,8 @@
 class Create_func_dayofweek : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_dayofweek s_singleton;
@@ -577,6 +617,8 @@
 class Create_func_dayofyear : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_dayofyear s_singleton;
@@ -590,6 +632,8 @@
 class Create_func_decode : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_decode s_singleton;
@@ -603,6 +647,8 @@
 class Create_func_degrees : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_degrees s_singleton;
@@ -629,6 +675,8 @@
 class Create_func_exp : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_exp s_singleton;
@@ -668,6 +716,8 @@
 class Create_func_find_in_set : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_find_in_set s_singleton;
@@ -681,6 +731,8 @@
 class Create_func_floor : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_floor s_singleton;
@@ -694,6 +746,8 @@
 class Create_func_format : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_format s_singleton;
@@ -707,6 +761,8 @@
 class Create_func_found_rows : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_found_rows s_singleton;
@@ -720,6 +776,8 @@
 class Create_func_from_days : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_from_days s_singleton;
@@ -759,6 +817,8 @@
 class Create_func_hex : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_hex s_singleton;
@@ -772,6 +832,8 @@
 class Create_func_ifnull : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_ifnull s_singleton;
@@ -785,6 +847,8 @@
 class Create_func_instr : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_instr s_singleton;
@@ -798,6 +862,8 @@
 class Create_func_isnull : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_isnull s_singleton;
@@ -811,6 +877,8 @@
 class Create_func_last_day : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_last_day s_singleton;
@@ -837,6 +905,8 @@
 class Create_func_lcase : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_lcase s_singleton;
@@ -863,6 +933,8 @@
 class Create_func_length : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_length s_singleton;
@@ -876,6 +948,8 @@
 class Create_func_ln : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_ln s_singleton;
@@ -889,6 +963,8 @@
 class Create_func_load_file : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_load_file s_singleton;
@@ -928,6 +1004,8 @@
 class Create_func_log10 : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_log10 s_singleton;
@@ -941,6 +1019,8 @@
 class Create_func_log2 : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_log2 s_singleton;
@@ -954,6 +1034,8 @@
 class Create_func_lpad : public Create_func_arg3
 {
 public:
+  using Create_func_arg3::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2, Item *arg3);
 
   static Create_func_lpad s_singleton;
@@ -967,6 +1049,8 @@
 class Create_func_ltrim : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_ltrim s_singleton;
@@ -980,6 +1064,8 @@
 class Create_func_makedate : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_makedate s_singleton;
@@ -993,6 +1079,8 @@
 class Create_func_maketime : public Create_func_arg3
 {
 public:
+  using Create_func_arg3::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2, Item *arg3);
 
   static Create_func_maketime s_singleton;
@@ -1019,6 +1107,8 @@
 class Create_func_monthname : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_monthname s_singleton;
@@ -1032,6 +1122,8 @@
 class Create_func_name_const : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_name_const s_singleton;
@@ -1045,6 +1137,8 @@
 class Create_func_nullif : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_nullif s_singleton;
@@ -1058,6 +1152,8 @@
 class Create_func_oct : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_oct s_singleton;
@@ -1071,6 +1167,8 @@
 class Create_func_ord : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_ord s_singleton;
@@ -1084,6 +1182,8 @@
 class Create_func_period_add : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_period_add s_singleton;
@@ -1097,6 +1197,8 @@
 class Create_func_period_diff : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_period_diff s_singleton;
@@ -1110,6 +1212,8 @@
 class Create_func_pi : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_pi s_singleton;
@@ -1123,6 +1227,8 @@
 class Create_func_pow : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_pow s_singleton;
@@ -1136,6 +1242,8 @@
 class Create_func_quote : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_quote s_singleton;
@@ -1149,6 +1257,8 @@
 class Create_func_radians : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_radians s_singleton;
@@ -1188,6 +1298,8 @@
 class Create_func_row_count : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_row_count s_singleton;
@@ -1201,6 +1313,8 @@
 class Create_func_rpad : public Create_func_arg3
 {
 public:
+  using Create_func_arg3::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2, Item *arg3);
 
   static Create_func_rpad s_singleton;
@@ -1214,6 +1328,8 @@
 class Create_func_rtrim : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_rtrim s_singleton;
@@ -1227,6 +1343,8 @@
 class Create_func_sec_to_time : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_sec_to_time s_singleton;
@@ -1240,6 +1358,8 @@
 class Create_func_sign : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_sign s_singleton;
@@ -1253,6 +1373,8 @@
 class Create_func_sin : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_sin s_singleton;
@@ -1266,6 +1388,8 @@
 class Create_func_space : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_space s_singleton;
@@ -1279,6 +1403,8 @@
 class Create_func_sqrt : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_sqrt s_singleton;
@@ -1292,6 +1418,8 @@
 class Create_func_str_to_date : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_str_to_date s_singleton;
@@ -1305,6 +1433,8 @@
 class Create_func_strcmp : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_strcmp s_singleton;
@@ -1318,6 +1448,8 @@
 class Create_func_substr_index : public Create_func_arg3
 {
 public:
+  using Create_func_arg3::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2, Item *arg3);
 
   static Create_func_substr_index s_singleton;
@@ -1331,6 +1463,8 @@
 class Create_func_subtime : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_subtime s_singleton;
@@ -1344,6 +1478,8 @@
 class Create_func_tan : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_tan s_singleton;
@@ -1357,6 +1493,8 @@
 class Create_func_time_format : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_time_format s_singleton;
@@ -1370,6 +1508,8 @@
 class Create_func_time_to_sec : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_time_to_sec s_singleton;
@@ -1383,6 +1523,8 @@
 class Create_func_timediff : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_timediff s_singleton;
@@ -1396,6 +1538,8 @@
 class Create_func_to_days : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_to_days s_singleton;
@@ -1409,6 +1553,8 @@
 class Create_func_ucase : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_ucase s_singleton;
@@ -1422,6 +1568,8 @@
 class Create_func_unhex : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_unhex s_singleton;
@@ -1448,6 +1596,8 @@
 class Create_func_uuid : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_uuid s_singleton;
@@ -1461,6 +1611,8 @@
 class Create_func_version : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_version s_singleton;
@@ -1474,6 +1626,8 @@
 class Create_func_weekday : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_weekday s_singleton;
@@ -1487,6 +1641,8 @@
 class Create_func_weekofyear : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_weekofyear s_singleton;

=== modified file 'drizzled/item/row.h'
--- drizzled/item/row.h	2008-12-04 19:04:01 +0000
+++ drizzled/item/row.h	2009-01-30 04:39:04 +0000
@@ -28,6 +28,9 @@
   bool const_item_cache;
   bool with_null;
 public:
+
+  using Item::split_sum_func;
+
   Item_row(List<Item> &);
   Item_row(Item_row *item):
     Item(),

=== modified file 'drizzled/item/subselect.cc'
--- drizzled/item/subselect.cc	2009-01-28 04:37:46 +0000
+++ drizzled/item/subselect.cc	2009-01-30 04:39:04 +0000
@@ -2031,7 +2031,7 @@
 
 int subselect_union_engine::prepare()
 {
-  return unit->prepare(session, result, SELECT_NO_UNLOCK);
+  return unit->prepare(session, result, (uint32_t)SELECT_NO_UNLOCK);
 }
 
 int subselect_uniquesubquery_engine::prepare()

=== modified file 'drizzled/serialize/binlog_writer.cc'
--- drizzled/serialize/binlog_writer.cc	2008-11-25 22:24:30 +0000
+++ drizzled/serialize/binlog_writer.cc	2009-01-30 04:39:04 +0000
@@ -133,5 +133,5 @@
   delete coded_output;
   delete raw_output;
   fb.close();
-  exit(0);
+  return 0;
 }

=== modified file 'drizzled/serialize/replication_event_reader.cc'
--- drizzled/serialize/replication_event_reader.cc	2009-01-28 04:37:46 +0000
+++ drizzled/serialize/replication_event_reader.cc	2009-01-30 04:39:04 +0000
@@ -6,22 +6,23 @@
 #include <string>
 #include <unistd.h>
 #include <drizzled/serialize/replication_event.pb.h>
+
 using namespace std;
+using namespace drizzle;
 
 /*
   Example reader application for master.info data.
 */
 
-void printRecord(const drizzle::EventList *list)
+void printRecord(const ::drizzle::EventList *list)
 {
-  using namespace drizzle;
-  int32_t x;
+  int32_t e_size;
 
-  for (x= 0; x < list->event_size(); x++)
+  for (e_size= 0; e_size < list->event_size(); e_size++)
   {
-    const drizzle::Event event= list->event(x);
+    const Event event= list->event(e_size);
 
-    if (x != 0)
+    if (e_size != 0)
       cout << endl << "##########################################################################################" << endl << endl;
 
     switch (event.type())
@@ -139,7 +140,7 @@
     return -1;
   }
 
-  drizzle::EventList list;
+  EventList list;
 
   if ((file= open(argv[1], O_RDONLY)) == -1)
   {

=== modified file 'drizzled/serialize/replication_event_writer.cc'
--- drizzled/serialize/replication_event_writer.cc	2009-01-28 04:37:46 +0000
+++ drizzled/serialize/replication_event_writer.cc	2009-01-30 04:39:04 +0000
@@ -8,7 +8,9 @@
 #include <uuid/uuid.h>
 
 #include <drizzled/serialize/replication_event.pb.h>
+
 using namespace std;
+using namespace drizzle;
 
 static uint64_t query_id= 0;
 char transaction_id[37];
@@ -17,14 +19,13 @@
   Example script for reader a Drizzle master replication list.
 */
 
-void write_ddl(drizzle::Event *record, const char *sql)
+void write_ddl(::drizzle::Event *record, const char *sql)
 {
   uuid_t uu;
 
   uuid_generate_time(uu);
   uuid_unparse(uu, transaction_id);
 
-  using namespace drizzle;
   record->set_type(Event::DDL);
   record->set_autocommit(true);
   record->set_server_id("localhost");
@@ -34,9 +35,8 @@
   record->set_sql(sql);
 }
 
-void write_insert(drizzle::Event *record, const char *trx)
+void write_insert(::drizzle::Event *record, const char *trx)
 {
-  using namespace drizzle;
   Event::Value *value;
 
   record->set_type(Event::INSERT);
@@ -60,9 +60,8 @@
   value->add_value("2");
 }
 
-void write_delete(drizzle::Event *record, const char *trx)
+void write_delete(::drizzle::Event *record, const char *trx)
 {
-  using namespace drizzle;
   Event::Value *value;
 
   record->set_type(Event::DELETE);
@@ -83,9 +82,8 @@
   value->add_value("2");
 }
 
-void write_update(drizzle::Event *record, const char *trx)
+void write_update(::drizzle::Event *record, const char *trx)
 {
-  using namespace drizzle;
   Event::Value *value;
 
   record->set_type(Event::UPDATE);
@@ -112,10 +110,10 @@
   value->add_value("6");
 }
 
-void write_to_disk(int file, drizzle::EventList *list)
+void write_to_disk(int file, ::drizzle::EventList *list)
 {
   std::string buffer;
-  uint64_t length;
+  size_t length;
   size_t written;
 
   list->SerializePartialToString(&buffer);
@@ -155,7 +153,7 @@
    exit(0);
   }
 
-  drizzle::EventList list;
+  EventList list;
 
   /* Write first set of records */
   write_ddl(list.add_event(), "CREATE TABLE A (a int) ENGINE=innodb");

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2009-01-23 07:27:09 +0000
+++ drizzled/sql_yacc.yy	2009-01-30 04:39:04 +0000
@@ -4485,7 +4485,7 @@
         | LONG_NUM      { int error; $$= (ulong) my_strtoll10($1.str, (char**) 0, &error); }
         | ULONGLONG_NUM { int error; $$= (ulong) my_strtoll10($1.str, (char**) 0, &error); }
         | dec_num_error { DRIZZLE_YYABORT; }
-        ;
+	;
 
 ulonglong_num:
           NUM           { int error; $$= (uint64_t) my_strtoll10($1.str, (char**) 0, &error); }

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2009-01-27 05:41:28 +0000
+++ storage/archive/ha_archive.cc	2009-01-30 04:39:04 +0000
@@ -577,13 +577,17 @@
   {
     if (fstat(frm_file, &file_stat))
     {
-      frm_ptr= (unsigned char *)malloc(sizeof(unsigned char) *
-				       file_stat.st_size);
+      if (file_stat.st_size > SIZE_MAX)
+      {
+        error= ENOMEM;
+        goto error2;
+      }
+      frm_ptr= (unsigned char *)malloc((size_t)file_stat.st_size);
       if (frm_ptr)
       {
-	my_read(frm_file, frm_ptr, file_stat.st_size, MYF(0));
-	azwrite_frm(&create_stream, (char *)frm_ptr, file_stat.st_size);
-	free((unsigned char*)frm_ptr);
+	my_read(frm_file, frm_ptr, (size_t)file_stat.st_size, MYF(0));
+	azwrite_frm(&create_stream, (char *)frm_ptr, (size_t)file_stat.st_size);
+	free(frm_ptr);
       }
     }
     my_close(frm_file, MYF(0));

=== modified file 'storage/csv/ha_tina.cc'
--- storage/csv/ha_tina.cc	2009-01-27 05:41:28 +0000
+++ storage/csv/ha_tina.cc	2009-01-30 04:39:04 +0000
@@ -1162,6 +1162,10 @@
     {
       bool in_hole= get_write_pos(&write_end, ptr);
       off_t write_length= write_end - write_begin;
+      if (write_length > SIZE_MAX)
+      {
+        goto error;
+      }
 
       /* if there is something to write, write it */
       if (write_length)
@@ -1169,7 +1173,7 @@
         if (my_write(update_temp_file,
                      (unsigned char*) (file_buff->ptr() +
                                (write_begin - file_buff->start())),
-                     write_length, MYF_RW))
+                     (size_t)write_length, MYF_RW))
           goto error;
         temp_file_length+= write_length;
       }
@@ -1347,9 +1351,15 @@
   while (1)
   {
     write_end= std::min(file_buff->end(), current_position);
-    if ((write_end - write_begin) &&
+
+    off_t write_length= write_end - write_begin;
+    if (write_length > SIZE_MAX)
+    {
+      return -1;
+    }
+    if ((write_length) &&
         (my_write(repair_file, (unsigned char*)file_buff->ptr(),
-                  write_end - write_begin, MYF_RW)))
+                  (size_t)write_length, MYF_RW)))
       return(-1);
 
     write_begin= write_end;

=== modified file 'storage/innobase/Makefile.am'
--- storage/innobase/Makefile.am	2009-01-28 04:37:46 +0000
+++ storage/innobase/Makefile.am	2009-01-30 04:39:04 +0000
@@ -183,7 +183,7 @@
 			$(HANDLER_DIR)/mysql_addons.cc
 
 # lexyy.c has lots of redundant decls, but it's generated anyway 
-libpars_la_CFLAGS=	${AM_CFLAGS} \
+libpars_la_CFLAGS=	${AM_CFLAGS} ${NO_UNREACHED} \
 			${NO_REDUNDANT_DECLS} ${NO_SHADOW}
 libpars_la_SOURCES= 	pars/lexyy.c pars/pars0grm.c
 

=== modified file 'storage/innobase/btr/btr0cur.c'
--- storage/innobase/btr/btr0cur.c	2008-12-03 08:28:54 +0000
+++ storage/innobase/btr/btr0cur.c	2009-01-30 04:39:04 +0000
@@ -68,7 +68,8 @@
 /* A BLOB field reference full of zero, for use in assertions and tests.
 Initially, BLOB field references are set to zero, in
 dtuple_convert_big_rec(). */
-UNIV_INTERN const byte field_ref_zero[BTR_EXTERN_FIELD_REF_SIZE];
+UNIV_INTERN const byte field_ref_zero[BTR_EXTERN_FIELD_REF_SIZE]=
+  {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
 
 /***********************************************************************
 Marks all extern fields in a record as owned by the record. This function

=== modified file 'storage/innobase/buf/buf0flu.c'
--- storage/innobase/buf/buf0flu.c	2008-12-03 08:28:54 +0000
+++ storage/innobase/buf/buf0flu.c	2009-01-30 04:39:04 +0000
@@ -1052,7 +1052,7 @@
 
 	buf_pool->init_flush[flush_type] = TRUE;
 
-	for (;;) {
+	for (bpage= NULL ; bpage != NULL;) {
 flush_next:
 		/* If we have flushed enough, leave the loop */
 		if (page_count >= min_n) {
@@ -1127,9 +1127,6 @@
 			}
 		} while (bpage != NULL);
 
-		/* If we could not find anything to flush, leave the loop */
-
-		break;
 	}
 
 	buf_pool->init_flush[flush_type] = FALSE;

=== modified file 'storage/innobase/include/ut0lst.h'
--- storage/innobase/include/ut0lst.h	2008-12-03 08:17:06 +0000
+++ storage/innobase/include/ut0lst.h	2009-01-30 04:39:04 +0000
@@ -131,7 +131,7 @@
 # define UT_LIST_REMOVE_CLEAR(NAME, N)		\
 ((N)->NAME.prev = (N)->NAME.next = (void*) -1)
 #else
-# define UT_LIST_REMOVE_CLEAR(NAME, N) while (0)
+# define UT_LIST_REMOVE_CLEAR(NAME, N)
 #endif
 
 /***********************************************************************

=== modified file 'storage/innobase/rem/rem0cmp.c'
--- storage/innobase/rem/rem0cmp.c	2008-12-03 08:17:06 +0000
+++ storage/innobase/rem/rem0cmp.c	2009-01-30 04:39:04 +0000
@@ -392,7 +392,6 @@
 	ut_error;
 #endif /* !UNIV_HOTBACKUP */
 
-	return(0);		/* Not reached */
 }
 
 /*****************************************************************

=== modified file 'storage/innobase/srv/srv0srv.c'
--- storage/innobase/srv/srv0srv.c	2008-12-06 22:37:37 +0000
+++ storage/innobase/srv/srv0srv.c	2009-01-30 04:39:04 +0000
@@ -2656,6 +2656,9 @@
 
 	goto loop;
 
+
+#ifndef UNIV_SOLARIS
 	OS_THREAD_DUMMY_RETURN;	/* Not reached, avoid compiler warning */
+#endif
 }
 #endif /* !UNIV_HOTBACKUP */

=== modified file 'storage/innobase/srv/srv0start.c'
--- storage/innobase/srv/srv0start.c	2009-01-07 14:35:39 +0000
+++ storage/innobase/srv/srv0start.c	2009-01-30 04:39:04 +0000
@@ -428,9 +428,6 @@
 	The thread actually never comes here because it is exited in an
 	os_event_wait(). */
 
-	os_thread_exit(NULL);
-
-	OS_THREAD_DUMMY_RETURN;
 }
 #endif /* !UNIV_HOTBACKUP */
 

